## edu.cwru.SimpleRTS.util
Class UnitTypeLoader

    java.lang.Object
      edu.cwru.SimpleRTS.util.UnitTypeLoader

    public final class UnitTypeLoader

extends java.lang.Object

Method Summary
`static java.util.List<Template>` `loadFromFile(java.lang.String filename)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### loadFromFile

    public static java.util.List<Template> loadFromFile(java.lang.String filename)
                                                 throws java.io.FileNotFoundException,
                                                        JSONException

  Throws:
    `java.io.FileNotFoundException`
    `JSONException`